### Function

# Qmi message_set_transaction_id

since: 1.8

#### Declaration [src]

    void
    qmi_message_set_transaction_id (
      QmiMessage* self,
      guint16 transaction_id
    )

#### Description [src]

Overwrites the transaction ID of the message.

Available since: 1.8

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`transaction_id`

  Type: `guint16`

  Transaction id.